Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.multimedia
Class SoftwareIdentifier

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.multimedia.SoftwareIdentifier

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF15)
    public final class SoftwareIdentifier

extends PdfObjectWrapper<PdfDictionary>

Software identifier [PDF:1.7:9.1.6].

Since:
  0.1.2
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `SoftwareIdentifier.Version` Software version number [PDF:1.7:9.1.6].

Constructor Summary
`SoftwareIdentifier(Document context)`

Method Summary
`SoftwareIdentifier` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`List<String>` | `getOSes()` Gets the operating system identifiers that indicate which operating systems this object applies to.
`URI` | `getURI()` Gets the URI that identifies a piece of software.
`Interval<SoftwareIdentifier.Version>` | `getVersion()` Gets the software version bounds.
`static SoftwareIdentifier` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftwareIdentifier

    public SoftwareIdentifier(Document context)

Method Detail

### wrap

    public static SoftwareIdentifier wrap(PdfDirectObject baseObject)

### clone

    public SoftwareIdentifier clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getOSes

    public List<String> getOSes()

  Gets the operating system identifiers that indicate which operating systems this object applies to. The defined values are the same as those defined for SMIL 2.0's systemOperatingSystem attribute. An empty list is considered to represent all operating systems.

### getURI

    public URI getURI()

  Gets the URI that identifies a piece of software.

  It is interpreted according to its scheme; the only presently defined scheme is vnd.adobe.swname. The scheme name is case-insensitive; if is not recognized by the viewer application, the software must be considered a non-match. The syntax of URIs of this scheme is "vnd.adobe.swname:" software_name where software_name is equivalent to reg_name as defined in Internet RFC 2396, Uniform Resource Identifiers (URI): Generic Syntax.

### getVersion

    public Interval<SoftwareIdentifier.Version> getVersion()

  Gets the software version bounds.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.